Skip to main content
POST
/
authentication
/
token
Get Access Token
curl --request POST \
  --url https://quickei.io/pay/sandbox/api/v1/authentication/token \
  --header 'Content-Type: application/json' \
  --data '
{
  "client_id": "<string>",
  "secret_id": "<string>"
}
'
Get an access token to initiate payment transactions.

Endpoint

POST https://quickei.io/pay/sandbox/api/v1/authentication/token

Parameters

client_id
string
required
Your merchant API client/primary key
secret_id
string
required
Your merchant API secret key

Request Example — Guzzle (PHP)

<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST',
  'https://quickei.io/pay/sandbox/api/v1/authentication/token', [
  'json' => [
    'client_id'  => 'YOUR_CLIENT_ID',
    'secret_id'  => 'YOUR_SECRET_ID',
  ],
  'headers' => [
    'accept'       => 'application/json',
    'content-type' => 'application/json',
  ],
]);
echo $response->getBody();

Response — 200 OK

{
  "message": {
    "code": 200,
    "success": ["SUCCESS"]
  },
  "data": {
    "access_token": "nyXPO8Re5SXP...",
    "expire_time": 600
  },
  "type": "success"
}

Error Response — 400 FAILED

{
  "message": {
    "code": 400,
    "error": ["Invalid secret ID"]
  },
  "data": [],
  "type": "error"
}